Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://nudgen.net/api/v1/settings/brand \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "brandName": "<string>", "brandDescription": "<string>", "brandEmail": "jsmith@example.com", "websiteUrl": "<string>", "emailLanguage": "<string>", "logoUrl": "<string>", "brandDesignSystem": {} } '
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({ brandName: '<string>', brandDescription: '<string>', brandEmail: 'jsmith@example.com', websiteUrl: '<string>', emailLanguage: '<string>', logoUrl: '<string>', brandDesignSystem: {} })};fetch('https://nudgen.net/api/v1/settings/brand', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://nudgen.net/api/v1/settings/brand"payload = { "brandName": "<string>", "brandDescription": "<string>", "brandEmail": "jsmith@example.com", "websiteUrl": "<string>", "emailLanguage": "<string>", "logoUrl": "<string>", "brandDesignSystem": {}}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.patch(url, json=payload, headers=headers)print(response.text)
{ "brandName": "<string>", "brandDescription": "<string>", "brandEmail": "jsmith@example.com", "websiteUrl": "<string>", "emailLanguage": "<string>", "logoUrl": "<string>", "brandDesignSystem": {}, "brandDesignMarkdown": "<string>" }
{ "error": "<string>"}
Personal Access Token created from Settings -> API Keys.
Updated brand settings